@import "fonts.css";
@import "variables.less";

* {
    box-sizing: border-box;
}
#header,
#footer {
    display: none;
}

body {
    font-family: sans-serif;
    width: 100%;
    margin: 0;
    height: 100%;
}

h1 {
    font-family: "unbounded";
}

.statement {
    font-family: "unbounded", sans-serif;
    width: 100%;
    margin: 0;
}

.narrative {
    margin: 2em;

    #pictos {
        position: relative;
        width: 100%;
        height: 400px;
        overflow: hidden;
        display: none;
    }
    .text-item {
        margin: 6em 0;
        // columns: 2;
        .paragraph {
            display: flex;
            // justify-content: space-between;
            flex-direction: column;
            margin-bottom: 6em;
            .text-content {
                font-family: "unbounded";
                font-weight: 400;
                width: 28em;
                line-height: 144%;
                font-size: 17pt;
                min-width: 16em;
                // padding-right: 4em;
                padding-left: 4em;
            }
            .par-terms {
                display: block;
                padding-left: 8em;
            }
            .other-term {
                margin: auto 0.5em;
                padding-top: 0.5em;
                img {
                    width: 6em;
                    float: left;
                    padding: 0.5em;
                }
                .side-note {
                    margin: auto 0.5em;
                    font-family: "unbounded";
                    font-weight: 100;
                    width: 26em;
                    padding: 0.2em;
                    justify-content: center;
                    text-align: center;
                }
            }
        }
    }
}
.index {
    background-color: @yellow;
    #leterme {
        padding-bottom: 1em;
        border-bottom: 1px solid black;
        margin-bottom: 1em;
    }

    #laboite {
        columns: 12em;
    }

    .annotation-item:first-child > h3 {
        margin-top: 0;
    }

    .annotation-item > h3 {
        word-break: break-all;
        font-size: 9pt;
        font-family: "unbounded";
        font-weight: 600;
    }

    .annotation-item > h3 > a {
        word-break: break-all;
        font-size: 9pt;
        color: @light-pink;
    }

    .content:nth-child(5n + 1) {
        padding-left: 0em;
    }
    .content:nth-child(5n + 2) {
        padding-left: 1em;
        a.narrative-symbol.shape_shifting {
            img {
                position: relative;
                left: 5em;
            }
        }
    }

    .content:nth-child(5n + 3) {
        padding-left: 2em;
        a.narrative-symbol.oasis {
            img {
                position: relative;
                left: 5em;
            }
        }
    }

    .content:nth-child(5n + 4) {
        padding-left: 3em;
        a.narrative-symbol.oasis {
            img {
                position: relative;
                right: 7em;
            }
        }
        a.narrative-symbol.hyper_reality {
            img {
                position: relative;
                left: 2em;
            }
        }
    }

    .content:nth-child(5n + 5) {
        padding-left: 4em;
    }

    .content:first-child {
    }

    .content {
        font-family: "unbounded";
        font-size: 9pt;
    }

    /*
a.hyper_reality {
background-color: coral;
color: white;
}
a.oasis {
background-color: dodgerblue;
color: white;
}
a.shape_shifting {
background-color: thistle;
color: white;
}
*/
    .narrative-symbol img {
        height: 1em;
    }
}

.mode-switch {
    padding-bottom: 1em;
}

// #head-box {
//   position: fixed;
//   top: 0;
//   width: 100%;
//   background: @light-turquoise;
//   height: 320px;
// }

// #inner {
//   position: absolute;
//   top: 320px;
//   bottom: 0;
//   left: 0;
//   right: 0;
//   background: white;
//   overflow-y: auto;
// }

// .image-annotation {
//   margin: 1em;
//   border: 1px solid white;
// }

.image-annotation.selectable {
    border: 1px solid @pink;
}

.term {
    margin: auto;
    max-width: 1200px;
    background-image: url("../../../../images/2022/09/20/Nushki-ECP.jpg");
    #head-box {
        top: 0;
        // background: @light-turquoise;
        padding: 2em;
    }
    .boite {
        display: flex;
        height: 100vh;
        overflow: hidden;

        #path-panel {
            height: 100%;
            overflow: auto;
            padding: 0.5em;
            width: 600px;
            min-width: 550px;
            background: @light-pink;
            border: 2px solid @violet;

            h2 {
                font-family: unbounded;
                font-weight: 300;
                width: 400px;
                border: 3px solid @old-pink;
                padding: 1em;
                margin: auto;
            }

            details {
                font-family: uncut-sans;
                font-weight: 400;
                font-size: 14px;
                margin: 0;
                padding: 1em;
            }
            .path-node {
                // width: 182px;
                .term-head {
                    display: flex;
                    align-items: flex-end;
                }
                &.term {
                    font-family: unbounded;
                }
                a {
                    color: @old-pink;
                    display: flex;
                    align-items: flex-end;
                    text-decoration: none;

                    .label {
                        padding-left: 0.5em;
                        font-size: 16 px;
                        text-decoration: none;
                        &:hover {
                            color: #ff5776;
                        }
                    }
                }
                .description {
                    font-size: 10px;
                    color: @old-pink;
                    padding-left: 4rem;
                }
                .picto {
                    width: 5em;
                    margin-left: 2rem;
                }

                &.par-annot {
                    font-family: unbounded;
                    font-weight: 200;
                    // margin: 1em;
                    padding: 0.5em;
                    border: 2px solid @green;
                    margin-right: 1em;
                }

                &.par-text {
                    font-family: uncut-sans;
                    padding: 1.5em;
                    margin: auto;
                    margin-left: 1em;
                    border-radius: 266px;
                    border: 2px solid #cbeae4;
                    text-align: center;
                }
                .image-annotation {
                    width: 100%;
                }
            }
            .nodes {
                margin: 2em auto 0 auto;
                padding: 2.5em;
                border: 10px solid @violet;

                .node-wrapper {
                    margin: 1em 0;
                    display: flex;
                    flex-direction: row-reverse;
                    .node-tools {
                        display: flex;
                        justify-content: flex-end;
                        .up-down {
                            span {
                                cursor: default;
                                font-weight: bold;
                                font-size: 200%;
                                color: @green;
                                &:hover {
                                    color: @hover-green;
                                }
                            }
                            .disabled {
                                cursor: auto;
                                color: rgb(190, 190, 190);
                                &:hover {
                                    color: rgb(190, 190, 190);
                                }
                            }
                        }
                    }
                }
            }

            button {
                padding: 0;
                background: initial;
                border: none;
                padding: 0.6em;
                margin-left: 10px;
                font-family: unbounded;
                background-color: @green;
                font-weight: 200;
                color: @violet;
                border-color: @violet;
                border-style: solid;
                border-width: 1px;
                height: fit-content;
                &:hover {
                    background-color: @hover-green;
                }
                &.but {
                    bottom: 20px;
                    position: relative;
                }
                &.delete {
                    color: @old-pink;
                }
                &.load {
                    margin: auto;
                }
                &.close-path {
                    margin-bottom: 3em;
                    position: relative;
                    bottom: 3.3em;
                }
            }

            .trans-input {
                font-family: unbounded;
                font-weight: 200;
                margin-left: 10px;

                textarea {
                    height: 130px;
                    width: 300px;
                    border-radius: 20px;
                    border: 2px solid #cbeae4;
                }
            }

            .path-name {
                display: flex;
                height: fit-content;
                input {
                    width: 100%;
                    border: 1px solid @violet;
                }
                input::placeholder {
                    font-family: "uncut-sans";
                    font-weight: 400;
                    font-style: normal;
                    font-size: 20px;
                    padding-left: 2em;
                    color: @violet;
                }
            }
            .path-name {
                margin: 0;
                margin-bottom: 0.5em;
                input::placeholder {
                    padding-left: 0px;
                }

                .text-item {
                    margin: 6em 0;
                }

                .par-order {
                    float: left;
                    width: 2em;
                    font-size: 80%;
                    font-style: italic;
                    margin-left: -2em;
                    color: #5e5e5e;
                }

                .block {
                    /* color:rgb(83, 83, 83); */
                    color: rgb(126, 126, 126);
                }
                .block.code {
                    color: @dark-turquoise;
                    /* font-weight: bold; */
                }
                .text-content:hover .block.code {
                    /* font-weight: bold; */
                    color: @dark-turquoise;
                }
                .text-content:hover .block {
                    /* font-weight: bold; */
                    color: rgb(190, 190, 190);
                }

                .other-term img {
                    width: 100px;
                }

                #header,
                #footer {
                    display: none;
                }

                .par-annot {
                    width: 200px;
                    color: #3b0e9e;
                    font-size: 16px;
                    overflow-y: overlay;
                    font-family: "korinna";
                }
            }
            .path-list {
                padding: 1em;
                .path-item {
                    border: 10px solid rgba(161, 60, 255, 0.178);
                    margin-top: 1em;
                    // display: flex;
                    height: fit-content;
                    text-align: right;
                    &:hover {
                        border: 10px solid @violet;
                    }
                    .path-node {
                        // width: 182px;
                        margin: 1em 3em;

                        &.term {
                            font-family: unbounded;
                            text-align: left;

                            a {
                                color: @old-pink;
                                display: flex;
                                // align-items: flex-end;
                                text-decoration: none;

                                .label {
                                    padding-left: 0.5em;
                                    font-size: 16 px;
                                    text-decoration: none;
                                    &:hover {
                                        color: #ff5776;
                                    }
                                }
                            }
                        }
                        .picto {
                            width: 5em;
                            margin-left: 2em;
                        }

                        &.par-annot {
                            font-family: unbounded;
                            font-weight: 200;
                            // margin: 1em;
                            padding: 0.5em;
                            border: 2px solid @green;
                            margin-right: 1em;
                        }

                        &.par-text {
                            font-family: uncut-sans;
                            padding: 1.5em;
                            margin-left: 1em;
                            border-radius: 266px;
                            border: 2px solid #cbeae4;
                            // text-align: center;
                        }
                    }
                }

                .image-annotation-list {
                    display: flex;
                    flex-wrap: wrap;
                }
                wrapper {
                    margin: 0 0.5em;
                }
                .path-box {
                    columns: 3;
                    margin-bottom: 4em;
                }
                .nodes {
                    margin: 2em auto;
                    padding: 2.5em;

                    .node-wrapper {
                        margin: 1em 0;
                        display: flex;
                        .path-node {
                            margin: 1em;
                            .image-annotation {
                                width: 100%;
                            }
                        }
                        .node-tools {
                            display: none;
                            .up-down {
                                span {
                                    cursor: default;
                                    font-weight: bold;
                                    font-size: 200%;
                                    color: @green;
                                    &:hover {
                                        color: @hover-green;
                                    }
                                }
                                .disabled {
                                    cursor: auto;
                                    color: rgb(190, 190, 190);
                                    &:hover {
                                        color: rgb(190, 190, 190);
                                    }
                                }
                            }
                        }
                    }
                }
                &button {
                    display: none;
                }
                &.trans-input {
                    display: none;
                }
                &.up-down {
                    display: none;
                }
            }
        }
        #inner {
            // position: absolute;
            // top: 320px;
            // bottom: 0;
            // left: 0;
            // right: 0;
            // background: @light-turquoise
            // height: 3em;
            // overflow-y: auto;
            height: 100%;
            overflow: auto;

            #image-box {
                padding: 2em;

                .image-annotation {
                    margin-right: 1em;
                    // border: 1px solid white;
                }

                .image-annotation.selectable {
                    border: 1px solid @pink;
                }

                .image-annotation-list {
                    display: flex;
                    flex-wrap: wrap;
                }
                .image-annotation-list .image-item {
                    width: 256px;
                    margin: 1em;
                    flex-shrink: 0;
                }
                .image-list .image-item img {
                    width: 100%;
                }
            }

            //   .par {
            //     display: flex;
            //   }
        }
        .par-terms {
            padding-left: 2em;
            padding-top: 2em;
        }
        .text-item {
            color: white;
            overflow-y: auto;
            width: 40em;
        }

        .par-order {
            float: left;
            width: 2em;
            font-size: 80%;
            font-style: italic;
            margin-left: -2em;
            color: #5e5e5e;
        }

        .block {
            /* color:rgb(83, 83, 83); */
            color: rgb(126, 126, 126);
        }
        .block.code {
            color: black;
            /* font-weight: bold; */
        }

        .text-content {
            padding: 2em;
            font-family: "korinna";
            min-width: 400px;
        }

        .text-content:hover .block.code {
            /* font-weight: bold; */
            color: rgb(0, 24, 61);
        }
        .text-content:hover .block {
            /* font-weight: bold; */
            color: rgb(190, 190, 190);
        }

        .other-term img {
            height: 1.5em;
            float: left;
        }
    }
    #header,
    #footer {
        display: none;
    }
}

.i-p {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: aliceblue;
    .www {
        width: 100%;
        height: 100%;
        .loader {
            margin-left: 40%;
            margin-top: 40%;
        }
        .zzz {
            max-width: 90%;
            margin: auto;
            object-fit: contain;
            max-height: 90%;
        }
        .tools {
            position: absolute;
            right: 2em;
            bottom: 2em;
            button {
                margin: 0.5em;
            }
        }
    }
}

.path-list {
    padding: 1em;

    #user-list {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;

        .user {
            cursor: pointer;
            margin: 0.5em;
            padding: 0.2em;
            border-bottom: 4px solid white;

            &.current {
                font-weight: bold;
                border-bottom: 4px solid #ff5776;
            }
        }
    }

    #user-paths {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;

        border-top: 1px solid grey;
        padding-top: 24px;
        margin-bottom: 24px;
        .path-item {
            width: 300px;
            height: 300px;
            border: 1px solid grey;
            padding: 12px;
            margin: 12px;
            position: relative;
            overflow: hidden;

            &.current {
                background-color: #ff5776;
            }

            button.load {
                position: absolute;
                bottom: 6px;
                right: 6px;
            }
        }

        .image-annot {
            canvas {
                width: 100%;
            }
        }
    }

    #current-path {
        width: 600px;
        margin: auto;
        &.not-empty {
            padding-top: 24px;
            border-top: 1px solid grey;
        }
    }

    .path-node {
        // width: 182px;
        margin: 1em 3em;

        &.term {
            font-family: unbounded;
            text-align: left;

            a {
                color: @old-pink;
                display: flex;
                // align-items: flex-end;
                text-decoration: none;

                .label {
                    padding-left: 0.5em;
                    font-size: 16 px;
                    text-decoration: none;
                    &:hover {
                        color: #ff5776;
                    }
                }
            }
        }
        .picto {
            width: 5em;
            margin-left: 2em;
        }

        &.par-annot {
            font-family: unbounded;
            font-weight: 200;
            // margin: 1em;
            padding: 0.5em;
            border: 2px solid @green;
            margin-right: 1em;
        }

        &.par-text {
            font-family: uncut-sans;
            padding: 1.5em;
            margin-left: 1em;
            border-radius: 266px;
            border: 2px solid #cbeae4;
            // text-align: center;
        }
    }
}
